using CoreLibrary.Events;
using CoreLibrary.Joueurs;

namespace MauiSpark.Pages;


public partial class ConnexionPage : ContentPage
{
	private JoueurBuilder? joueurBuilder;
	private int? indice;
  
    public ConnexionPage()
	{
		NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
    }

	public async void QuandDemanderNom(Object? sender, DemanderNomEventArgs e)
	{
		if(Application.Current != null && Application.Current.MainPage != null && ((NavigationPage)Application.Current.MainPage).CurrentPage != this)
			await Application.Current.MainPage.Navigation.PushAsync(this);

		Nom.Text = "";
        joueurBuilder = e.JoueurBuilder;
		indice = e.Indice;
        BindingContext = $"Joueur {e.Indice}";
	}

	private void QuandSeConnecterPresse(Object sender, EventArgs e)
	{
		if(joueurBuilder != null)
		{
			if(string.IsNullOrEmpty(Nom.Text))
			{
				joueurBuilder.Joueur(new Joueur($"Joueur {indice}"));
            }
            else
            {
                joueurBuilder.Joueur(MauiProgram.Manageur.DemanderJoueur(Nom.Text));
            }
        }
    }
}